Import Package
Asynchronously import and validate a VPK package attached to this request. On completion, Vault sends an email notification which includes a link to the validation lognew is not allowed for non-allowlisted classes. Learn more about Vault Java SDK limits and restrictions.
PUT
/api/{version}/services/packageHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data (default) or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
filerequired | The .vpk file. See Export Package above. |
Request
Section link for Requestcurl -L -X PUT -H 'Authorization: {Session_ID}' \
-H 'Accept: application/json' \
-F 'file=myFile.vpk'\
https://myvault.veevavault.com/api/v23.1/services/packageResponse
Section link for Response{
"responseStatus": "SUCCESS",
"url": "/api/v23.1/services/jobs/88717",
"job_id": 88717
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
url - The URL to retrieve the current status of the import job.
job_id - The Job ID value is used to retrieve the status and results of the request.
A separate email with a link to download the validation log